Introducing Security Administration

Contact your application administrator or security administrator for further assistance with security.

What do you want to do?

Users

  • Change password
  • Learn about security
  • Troubleshoot security
  • Security tips

Application Administrators

  • Set up record security
  • Modify security
  • Turn off record security
  • Modify record security permissions
  • Review record security settings

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.

For additional training on Sage products, visit Sage University.


Learn about security

What do you want to do?

  • Learn about Security Administration
  • Learn about application security
  • Learn about users and administrators
  • Learn about roles
  • Learn about task security
  • Learn about file security

Learn about record security

  • Overview of record security
  • Review record security settings
  • Effect of record security on tasks
  • Effect of record security on reports
  • Effect of record security on inquiries

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources

For additional online resources for Sage products, visit the Sage Customer Portal. Use the portal to access the knowledgebase, chat online with customer support, or enter a customer support ticket.


Learn about Security Administration

With Security Administration, application administrators can restrict access to applications, tasks, files, records, and companies. For example, they can use task security to restrict who can set up vendors in Accounts Payable. With file security, they can restrict access to sensitive payroll files. With record security, they can produce reports that display only the jobs to which the user has security access. Finally, with company security, they can restrict access to which company information a user sees.

Security Administration has the following characteristics:

  • It prompts the user for an user name and password.
  • It is set up from the Security Administration tool in the Sage Desktop.
  • It offers four types of application security: task, file, record, and company.

The following applications feature Security Administration:

  • Accounts Payable
  • Accounts Receivable
  • Address Book
  • Billing
  • Cash Management
  • Contracts
  • Equipment Cost
  • Financial Statements
  • General Ledger
  • Information Assistant
  • Inquiry Designer
  • Job Cost
  • Payroll
  • Project Management
  • Property Management
  • Remote Time
  • Report Designer

The following applications use a limited form of Security Administration: Estimating, Purchasing, Inventory, and Service Management.

  • Estimating is affected by file security and task security. Application administrators cannot set up Security Administration for Estimating but, if Security Administration has been set up in one of the applications listed previously, you must type a user name and password before you use Estimating.

Estimating offers its own form of file security on estimate and database files. Although similar to Security Administration, it is different because it is not set up from the Security Administration tool and it requires a password but not a user name. For more information on Estimating's file security, see Overview of Estimating security.

  • Purchasing and Inventory are affected by task security. Like Estimating, application administrators cannot set up Security Administration for these applications but you must type your user name and password if Security Administration is on. Purchasing and Inventory also offer their own form of task security. For more information, see Help in these applications.
  • Service Management uses task security. Application administrators can create users and roles and set up task security for Service Management just as you would in the bulleted list of applications above.

Start Security Administration from the Desktop (from Desktop, select Tools > Security Administration).

Related topics

Learn more about security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.

More resources


Learn about application security

Application security lets application administrators hide applications from users and roles. When application security is active, users cannot see the application in TS-Main or in the Sage Desktop.

Application security becomes active when an application administrator uses the Security Administration tool to deny a user or role access to all tasks in an application and sets secured menu items to not display.

Related topics

Learn about users and administrators

Learn about roles

Learn more about security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Learn about users and administrators

The Security Administration tool includes three types of users: Sage 300 Construction and Real Estateusers, application administrators, and security administrators.

Security administrators set up and maintain accounts for users.

Application administrators can restrict access to software features and data that each user has permission to access. They define roles and assign users to the roles.

Users have task permissions defined by the application administrator. These permissions can range from none to almost as extensive as an application administrator. Users can have the same level of file and record access as an application administrator. Users can have access to one or more companies.

Related topics

Learn about task security

Learn about roles

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Learn about roles

A role represents users who have the same security requirements. A role has its own user account and its own task, record, file, and company permissions.

The use of roles often saves setup time, because the application administrator can assign permissions to new users simply by assigning them to an existing role. The use of roles can also clarify your company's security plan because the application administrator can create roles that correspond to the company's organizational structure. For example, the application administrator can create roles for Accounts Payable clerks, Payroll clerks, property managers, and project managers.

Related topics

Learn about task security

Learn about users and administrators

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Learn about task security

With task security, an application administrator can restrict access to menu items and certain tasks found within windows. For example, task security can control access to the Setup > Vendors menu item in Accounts Payable (AP). Also, task security can control whether you can approve a change order in the Item Status field of the Enter Change Order Items - Scope of Change window in Job Cost.

In the following example of task security, an application administrator assigns task permissions based on the tasks that the employees need to perform.

Role | AP Settings | Post Invoices | AP Reports
CONTROL (controller) | P | P | P
APCLERK (AP clerk) |  | P | P
PROJMGR (project manager) |  |  | P
Related topics

Learn about users and administrators

Learn about roles

Learn more about security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Learn about file security

File security allows application administrators to block all access to a file. This includes access through open database connectivity and through all related tasks, reports, and inquiries. This differs from task security, which allows application administrators to block tasks selectively and does not allow them to control ODBC access.

In the following example of file security, a company has two Payroll (PR) master files. One is for the executive staff and the other is for the field staff. In order to keep the executive payroll information private, the company creates a separate role for users that handle the executive PR master file.

Role | Users | Access to Exec PR Master File | Access to Field PR Master File
EXECPR (executive PR) | Controller and a senior payroll clerk | Yes, for all users assigned to this role |
FIELDPR (field PR) | Controller and all payroll clerks |  | Yes, for all users assigned to this role

Note: The senior payroll clerk is a member of both the EXECPR and FIELDPR roles. A user can belong to more than one role.

Related topics

Learn about users and administrators

Learn about roles

Learn more about security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


List of securable files

Application | File
Address Book | Master file
Accounts Payable | Invoice (new)
 | Invoice (history)
 | Master
 | Transaction (current)
 | Transaction (history)
 | Issue
Accounts Receivable | Activity (activity)
 | Activity (history)
 | Master
 | Standard
 | Transaction (new)
 | Transaction (current)
 | Transaction (history)
 | View file
 | Invoice (unbilled)
 | Invoice (billed)
 | Invoice (history)
 | Master
 | Standard
 | Transaction
 | WIP (unbilled)
 | WIP (billed)
 | WIP (history)
Cash Management | Master
 | Transaction (register)
 | Transaction (history)
Contracts | Derived (active)
 | Derived (history)
 | Contract (active)
 | Contract (standard)
 | Contract (history)
 | Settings
 | Transaction (active)
 | Transaction (history)
Equipment Cost | History
 | Master
 | Standard
 | Transaction (new)
 | Transaction (current)
 | Transaction (history)
 | Issue
General Ledger | Allocate
 | Master
 | Recur
 | Transaction (new)
 | Transaction (current)
 | Transaction (history)
 | Auto
 | Issue
Information Assistant | Issue
Job Cost | Master
 | Transaction (new)
 | Transaction (current)
 | Transaction (history)
 | Issue
Project Management | Document
 | Log
 | Master
Property Management | Accumulator
 | Lease
 | Tenant
 | Property
 | Retail
 | System
 | Transaction (new)
 | Transaction (current)
 | Transaction (history)
 | Recovery
Payroll | Master
 | System
 | Transaction (new)
 | Transaction (current)
 | Transaction (history)
 | Tax
Remote Time Entry | Time (current)
 | Time (history)
Tax | Master
Related topics

Learn about file security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Learn about company security

Company security allows an application administrator to grant a user access to specific companies.

Security administrators and application administrators have access to all companies.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview of record security

With record security, you can control access to the Cash Management bank account, General Ledger prefix, Job Cost and Project Management job, and Property Management property records.

When record security is active, reports and inquiries display only the records to which the user has access. For more information, see Effect of record security on reports and Effect of record security on inquiries.

Record security also affects Job Cost, Contracts, and Project Management tasks. In these applications, you can type or select only jobs to which you have access. For more information, see Effect of record security on tasks.

Example of using record security

In the following example, a property manager, Accounts Payable (AP) clerk, and Property Management (PM) clerk work as a team on certain properties. Another project manager, AP clerk, and PM clerk work as a team on different properties.

With the following record security setup, these employees have access to only their team's properties.

Role | Users | Access to Team 1 Properties? | Access to Team 2 Properties?
TEAM1 | Prop Mgr 1 AP Clerk 1 PM Clerk 1 | Yes, for all TEAM1 users assigned to this role |
TEAM2 | Prop Mgr 2 AP Clerk 2 PM Clerk 2 |  | Yes, for all TEAM2 users assigned to this role
Related topics

Create separate roles for task and record security

Indicators that record security affects a report

Indicators that record security affects an inquiry

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effect of record security on tasks

Record security can restrict access to the job record in certain Job Cost (JC), Contracts (CN), and Project Management (PJ) tasks. When record security is active for jobs, you cannot view a job in a list or type a job unless you have security access for that job. For example, in the PJ Job Setup window (PJ > Setup > Jobs), when you click [Find] to list jobs that have been previously set up, you see only jobs to which you have access.

Job record security affects the following tasks:

Contracts Tasks

  • Edit > Link
  • Edit > Add/Edit JC CO link
  • Edit > JC CO Item Link Details

Job Cost Tasks

  • Setup > Jobs
  • Tasks > Enter Estimates
  • Tasks > Change Orders
  • Tasks > Commitments
  • Tasks > Commitment Change Orders
  • Tasks > Enter Misc Worksheets

Project Management Tasks

All tasks that involve the job record (for example, job setup and document creation).

Related topics

Overview of record security

Effect of record security on reports

Effect of record security on inquiries

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effect of record security on reports

When record security is active on a report, the report displays only the records that are accessible to the current user. Moreover, totals on the report adjust to reflect only the accessible records. For example, in Job Cost, a Cost Entries by Job report (simplified for this example) would look like the following to an application administrator:

Job | Cost Code | Category | Amount
01-002 | 3-110 | L (labor) | 100.00
01-003 | 2-520 | M (material) | 350.00
 |  | Report Total | 450.00

To a user with permissions to only job 01-002, the same report would look like the following:

Job | Cost Code | Category | Amount
01-002 | 3-110 | L (labor) | 100.00
 |  | Report Total | 100.00

Note: Some reports list information from several different records on the same line. If you lack access rights to the report’s driving record (the primary record upon which the report is based), the report skips the entire line. If you lack access rights to one of the non-driving records, the report skips only the information from that record.

Related topics

Effect of an upgrade on reports

Requirements for record security to affect a report or inquiry

Indicators that record security affects a report

Report record security settings

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effect of an upgrade on reports

When you upgrade from version 7.x or earlier to version 8.0 or later, the following changes take place with reports.

Stock Reports

New stock reports replace your existing stock reports. The new reports have settings that control whether record security can affect the reports. However, these settings take effect only if you activate record security.

Custom Reports

If you open a custom report created in Report Designer 7.x or earlier, the software displays a message that lists the secure records on that report. Once you save the report, you no longer receive this message.

The software also modifies the report's security settings. It changes these settings to allow record security, if active, to affect all securable records on the report.

You must use Report Designer to change a report's settings. If you do not own Report Designer, the only way to control record security on a report is for an application administrator to turn on or turn off record security.

Related topics

Requirements for record security to affect a report or inquiry

Effect of record security on reports

Indicators that record security affects a report

Report record security settings

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Indicators that record security affects a report

If you do not own Report Designer

The report's cover page indicates whether record security is on. You have the following options regarding cover pages:

  • If you want to print a cover page every time you print any report, select Tools > Options. On the Reports tab, select Attach to report.
  • If you want to print a cover page only some of the time, you must choose to print a cover page at the time of printing. From an applications Tools menu, select the report and from the Print Selection window, click [Page Setup]. Then select Attach to report.

If you own Report Designer

In addition to the report cover page (see above), record security information can appear in three additional areas.

  • A report's design information (Tools > Design Info) lists the report's record security settings.
  • A report's page heading (defined in File > Page Setup > Page Headings) indicates whether record security is on.
  • If you open a report created in Report Designer 7.x or earlier and the report contains secured records, you will receive an on-screen message that lists the secure records on that report. Once you save the report, you will no longer receive this message.

Note: You must be an application administrator and own Report Designer to modify security settings on reports.

Related topics

Effect of record security on reports

Effect of an upgrade on reports

Requirements for record security to affect a report

Report record security settings

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effect of record security on inquiries

When record security for an inquiry is on, the inquiry displays only records that are accessible to the current user. For example, in Cash Management, a Bank List inquiry would look like the following to an application administrator:

Bank Account | Description | Account Number | Register Balance
First | First Bank | 042134526 | 56,650.97
Liberty | Liberty S&L | 874613754 | 91,450.44

To a user with permissions to only First Bank, the same inquiry would look like the following:

Bank Account | Description | Account Number | Register Balance
First | First Bank | 042134526 | 56,650.97

Note: Some inquiries list information from several different records on the same line. If you lack access rights to the inquiry's driving record (the primary record upon which the inquiry is based), the inquiry skips the entire line. If you lack access rights to one of the non-driving records, the inquiry skips only the information from that record.

Related topics

Effect of an upgrade on inquiries

Requirements for record security to affect a report or inquiry

Indicators that record security affects an inquiry

Inquiry record security settings

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effect of an upgrade on inquiries

After you upgrade from version 7.x or earlier to version 8.0 or later, record security affects your stock and custom inquiries to the extent that it is on. (New installations and subsequent upgrades are different; see next section). For example, if record security is on for the Cash Management bank account record and the Job Cost and Project Management job records, these records are automatically secured on the inquiry. If record security is on for only the Cash Management bank account record, only this record is secured on the inquiry.

If you own Inquiry Designer, you can specify settings on each inquiry that control whether record security affects the inquiry. For information about specifying these settings, see Inquiry Designer Help.

Difference between upgrades from 7.x and new installations

New installations of Sage 300 Construction and Real Estate use Sage's predefined inquiry record security settings. These settings control whether record security can affect the inquiry. For example, if an inquiry's settings do not allow Cash Management bank account record security, this record is not secured on the inquiry (even if record security is on). On the other hand, for a 7.x upgrade, record security would automatically affect the bank account record.

Related topics

Effect of record security on inquiries

Indicators that record security affects an inquiry

Inquiry record security settings

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Indicators that record security affects an inquiry

A button with a lock on it appears in the upper right corner of the inquiry. If you click this button, a Record Security window appears that lists which records are secured on the inquiry.

In this window, an application administrator can select or clear records to secure. However, the selections affect only the current user's session. Therefore, selections are inconsequential because an application administrator already has permission to view all records.

Related topics

Effect of record security on inquiries

Requirements for record security to affect a report or inquiry

Inquiry record security settings

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Requirements for record security to affect a report or inquiry

Every report and inquiry has settings that control whether records can be secured. For record security to actually affect a report or inquiry, the report or inquiry must allow records to be secured and record security must be on for those records.

Do Report or Inquiry Settings Allow the Record to be Secured? | Is Record Security on for That Record? | Is the Record Secured on the Report or Inquiry?
Yes | Yes | Yes
Yes | No | No
No | Yes | No

Notes:

  • You must use Report Designer to view the security settings on a report. From the Tools menu, select Design Security.
  • You can view the security settings on an inquiry in two ways. Click the lock icon in the upper right corner of an inquiry or use Inquiry Manager in Inquiry Designer. For information on the Inquiry Designer method, see Inquiry Designer Help.
  • Stock Sage 300 Construction and Real Estate reports and inquiries come with record security settings preset. For more information, see Report record security settings and List of stock Sage 300 Construction and Real Estateinquiries and their security settings.
Related topics

Effect of record security on reports

Effect of record security on inquiries

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Report record security settings

Each report has security settings that control whether record security can affect the report. If you own Report Designer, you can modify these settings (Report Designer: Design Security). If you do not own Report Designer, an application administrator can control record security on reports only by turning on or turning off record security. (For more information, see Turn off record security).

For a list of Sage 300 Construction and Real Estate reports and their security settings, see the file SecurityGuide.pdf. To access this file, select Help > Documents.

Sage 300 Construction and Real Estate defines the security settings on stock reports based on whether (a) the report contains sensitive information or (b) the report's content should be tailored to the user. For example, the system allows the bank record on the Cash Management Check Register report to be secured so that, if record security is on, you can generate reports that list only the entries for the banks to which the current user has access.

In some cases, for practical reasons, the system does not allow record security to affect a report. For example, in Cash Management, you can type any bank in data entry tasks (bank account record security currently only affects reports and inquiries). Therefore, the system does not secure the bank account record on the Cash Management Journal report.

Related topics

Effect of record security on reports

Requirements for record security to affect a report or inquiry

Indicators that record security affects a report

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Inquiry record security settings

Each inquiry has record security settings that control whether record security can affect the inquiry. These settings take effect in the following scenarios:

  • New installations of version 8.0 or later.
  • Subsequent upgrades of a new 8.0 or later installation.

For a list of Sage 300 Construction and Real Estate inquiries and their record security settings, see the Security chapter of the User Guide. To access this document, select Help > Product Documents.

If you upgrade from version 7.x or earlier to version 8.0 or later, these settings do not take effect. Instead, record security automatically affects your inquiries if it is on. (For more information, see Effect of an upgrade on inquiries.)

The system selects inquiry record security settings based on whether the inquiry contains sensitive information or whether its information should be tailored to the user. For example, the system allows the bank record on the Cash Management Bank Register inquiry to be secured so that, if record security is on, your inquiry displays entries for only the banks to which you have access.

If you own Inquiry Designer, you can modify inquiry security settings. (For more information, see Inquiry Designer Help.) If you do not own Inquiry Designer, application administrators can control record security on inquiries only by turning on or turning off record security.

Related topics

Turn off record security

Effect of record security on inquiries

Requirements for record security to affect a report or inquiry

Indicators that record security affects an inquiry

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Overview of Estimating security

Estimating products allow you to secure certain files. This file security is similar to Security Administration file security but is different in that it uses only a password and not a combination of user name and password.

You can assign a full access password to all securable Estimating files. This password allows you to both read a file and write to a file.

With Estimating databases, you can also assign a read-only password. This password allows you to take off items from a database but not modify a database. If you create a read-only password, you can also create a supervisor password by clicking [Set Supervisor Password] in the same window in which you create the read-only password. The supervisor password allows you to control who can modify the read-only password.

See the following list for specific information about securable Estimating files.

Precision database file (*.dat)

Locations from which you can secure the file:

  • Estimating > Database > New Database > Step 3
  • Estimating > Database > Database Settings > Company (assign only a full access password from this location)
  • Estimating Tools > File > Edit Passwords

Precision estimate file (*.pee)

Locations from which you can secure the file:

  • Estimating > File > New Estimate. After you create the estimate, click [Password] in the Main tab.
  • Estimating > Takeoff > Estimate Settings > Company
  • Estimating Tools > File > Edit Passwords

Precision options file (Pewin.opt)

You can secure the file from Estimating Tools > Edit Passwords

Buyout database file (Bos.dat)

Locations from which you can secure the file:

  • Buyout > Database > Database Settings > General
  • Estimating Tools > File > Edit Passwords

Buyout work file (*.bow)

Locations from which you can secure the file:

  • Buyout > Actions > Work File Information > General
  • Estimating Tools > File > Edit Passwords

Means Integrator file

You can secure the file from Estimating Tools > Edit Passwords

Related topics

Effect of Security Administration on Estimating

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Effect of Security Administration on Estimating

If security is on, you must supply a user name and password immediately after you launch Estimating. If the user name and password are valid, you can begin using Estimating.

A valid user name and password allow you to begin using Estimating, but you must have the appropriate security permissions to fully use Estimating's features.

Application administrators need to set up users of Estimating with the following permissions.

Task security permissions

  • Address Book Person Setup
  • Address Book Company Setup

File security permission (only if file security is on)

  • Master.jcm (Job Cost master file)
  • Master.abm (Address Book master file)
  • Master.apm (Accounts Payable master file)
  • Master.arm (Accounts Receivable master file)
Related topics

Learn about Security Administration

Learn about task security

Learn about roles

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Set up record security

You must be an application administrator to perform this task.

To set up record security

  1. From the Sage Desktop, select Tools > Security Administration.
  2. On Security Administration tab, select Records.
  3. In the Record Security window on the Activation tab, select Turn on record security.
  4. Select or clear the Give all users access to records with blank security IDs check box. Select the box if you want records with blank security IDs to be accessible to all users. Clear the box if you want only application administrators to access these records.
  5. In the Securable record types box, select the records that you want to secure.
  6. Assign security IDs to records.
Related topics

Overview of record security

Effect of record security on reports

Effect of record security on inquiries

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Modify security

Contact your application administrator or security administrator for further assistance with modifying your security.

What do you want to do?

Users

  • Change password
  • Learn about security
  • Security tips
  • Troubleshoot security

Application Administrators

  • Review record security settings
  • Turn off record security
  • Modify record security permissions

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change password

Your security settings may prevent you from changing your password. If you cannot change your password, contact your security administrator.

To change your password:

  1. Start Sage 300 Construction and Real Estate.
  2. In the Log On window, click [Change Password].
  3. In the Change Password window, type your user name, old password, and new password. Then, confirm your new password and click [OK].
  4. A window appears that says Your password has been changed. Click [OK].

Tip: If you have forgotten your password, see I forgot my password.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Turn off record security

You must be an application administrator to perform this task.

To turn off record security

  1. From the Sage Desktop, select Tools > Security Administration.
  2. On Security Administration tab, select Records. The Record Security window opens.
  3. Select the Activationtab.
  4. If you want to turn off all record security, clear the Turn on record security check box.
  5. If you want to turn off record security for a particular record, clear the check box for that record.
  6. Click [OK].

Notes:

  • When you turn off record security, the Security ID field disappears from related record setup windows. However, Sage 300 Construction and Real Estate security saves your security ID assignments. If you reactivate record security, these settings take effect again.
  • In addition to record security settings in Security Administration, each Sage 300 Construction and Real Estate report and inquiry has record security settings. For more information on these settings, see Requirements for record security to affect a report or inquiry.
Related topics

Modify record security permissions

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Modify record security permissions

From the Record Security window (for application administrators)

From a record setup window (for users with permission to change the security ID)

To change the security ID in the Record Security window

You must be an application administrator to perform this task.

  1. From the Sage Desktop, select Tools > Security Administration.
  2. On Security Administration tab, select Records. The Record Security window opens.
  3. Select the tab for the record you want to change.
  4. In the Security ID column, change the security ID.
  5. Click [OK].

Note: Record tabs in the Record Security window are available only if you have turned on record security for that record.

To change the security ID in a record setup window

You must have security access to the Change Security ID task. For more information, contact your application administrator.

  1. Open the record setup window of a securable record (Cash Management bank account, General Ledger prefix, Job Cost and Project Management job, and Property Management property).
  2. Click the Security ID field and change the ID.
Related topics

Turn off record security

I cannot see a security ID in a record setup window

I cannot change a security ID in a record setup window

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Review record security settings

You must be an application administrator to perform this task.

To review record security settings

  1. From the Sage Desktop, select Tools > Security Administration.
  2. On Security Administration tab, select Records. The Record Security window opens.
  3. Review the selections on the Activation tab. They control whether record security is on and how the software interprets blank security IDs.
  4. Select one of the record tabs.
  5. Review the users and roles in the Security ID column.
  6. Repeat steps 4 and 5 for each record.

Note: Every report and inquiry has settings that control whether record security can affect the report or inquiry. For more information, see:

  • Requirements for record security to affect a report or inquiry
  • Indicators that record security affects a report
  • Indicators that record security affects an inquiry

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Troubleshoot security

What do you need help with?

  • I cannot change a security ID in a record setup window
  • I cannot see a security ID in a record setup window
  • I know a job has been set up but I cannot see it in the software
  • I forgot my password
  • Indicators that record security affects an inquiry
  • Indicators that record security affects a report
  • Menu items and fields are unavailable
  • My report or inquiry is missing information
  • Security tips

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


I cannot change a security ID in a record setup window

During the setup of a new record, anyone can type a security ID. Once the record has been saved, only application administrators or users with permission to access the Change Security ID task can change the security ID.

Related topics

I cannot see a security ID field in a record setup window

Assign security IDs to records

Troubleshoot security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


I cannot see a security ID field in a record setup window

The Security ID field appears in a record setup window only if record security is on for that record.

Related topics

Set up record security

I cannot change a security ID in a record setup window

Assign security IDs to records

Troubleshoot security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


I know a job has been set up but I cannot see it in the software

In most Sage 300 Construction and Real Estate applications, record security affects only reports and inquiries. In certain Contracts, Job Cost, and Project Management tasks, however, record security also affects whether you can type jobs or select jobs from lists. For more information, see Effect of record security on tasks.

Jobs may not appear for several reasons:

  • The job may have a status of closed; some lists do not display closed jobs.
  • The job may have been moved to a different file, such as a history file.
  • Record security may be active on the job and you do not have permission to access that job. For more information about your security settings, contact your application administrator.
Related topics

Overview of record security

Effect of record security on reports

Effect of record security on inquiries

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


I forgot my password

I am an application administrator or user and I forgot my password

Request a new password from one of your company's security administrators.

Tip: To create a complex password that is easy to remember, select a sentence and use the first letter of each word as your password. Be sure to use sentence case, to turn some words into numbers, and to use punctuation. For example, if you selected, "I have a password that is easy to remember!," your password would be "Ihaptie2r!"

I am the only security administrator and I forgot my password

Click here for information about how to contact Customer Support. Customer Support can restore access to your software.

Tip: Create two security administrators so that you have a backup person.

Related topics

Contact Customer Support for assistance

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Menu items and fields are unavailable

Menu items and fields can be unavailable for two reasons.

First, the task associated with the menu item or field requires a previous task that has not been performed. For example, the Edit > Paste menu is unavailable if you have not previously cut or copied anything.

Second, you lack task security permissions (for example, access to PM > Setup > Properties). For more information, contact your application administrator.

Related topics

Learn about task security

Troubleshoot security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


My report or inquiry is missing information

A report or inquiry can be missing information for several reasons. One explanation could be that you lack record security permissions. To investigate this possibility, see the following Help topics or contact your application administrator.

Reports

  • Effect of record security on reports
  • Indicators that record security affects a report
  • Report record security settings
  • Review record security settings

Inquiries

  • Effect of record security on inquiries
  • Indicators that record security affects an inquiry
  • Inquiry record security settings
  • Review security settings
Related topics

Troubleshoot security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security tips

Users

  • Be careful with print files

Application Administrators

  • Create separate roles for task and record security
  • Specify how secured tasks appear

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Create separate roles for task and record security

Administrators may need to create certain roles for task security and other roles for record security. For example, a company has the following users:

  • Project Manager 1
  • Project Manager 2
  • Accounts Payable (AP) Clerk 1
  • AP Clerk 2

Project Manager 1 and AP Clerk 1 always work together on jobs. Project Manager 2 and AP Clerk 2 always work together on a different set of jobs. In terms of record security, these two teams of users should be members of different roles because they need access to different jobs.

Project Managers 1 and 2 perform tasks such as approving change orders (COs). AP Clerks 1 and 2 perform tasks such as entering invoices. In terms of task security, the project managers should be in one role and the AP clerks should be in a different role.

The overall security assignment for these users should look like the following:

Role | Users | Task Permissions |
PROJMGR | Project managers | Approve COs |
APCLERK | AP clerks | Enter invoices |
TEAM1 | Project Mgr 1 and AP Clerk 1 |  | Team 1 jobs
TEAM2 | Project Mgr 2 and AP Clerk 2 |  | Team 2 jobs
Related topics

Learn about roles

Learn about task security

Overview of record security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Be careful with print files

If you print to a folder that is not secure, others may have access to your reports.

By default, Sage 300 Construction and Real Estate prints files to your data folder. If you run the software over a network, all users print to this location. Although you can change the default file location in File > Data Folder Settings > File Locations > Printouts, all network users will still print to whatever location you designate.

To print to a different folder, you must redirect the print job at the time of printing. From a Print Selection window, click [Printer Setup]. Then click [Select File] and browse to the desired location.

Related topics

More security tips

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Specify how secured tasks appear

Most securable tasks have an associated menu item or field. Application administrators can specify how these menu items and fields appear to a user who does not have access to them. You can specify whether the menu items and fields are hidden or whether they appear gray (which indicates that they are unavailable).

To specify how secured tasks appear

You must be an application administrator to perform this task.

  1. From the Tools menu, select Options.
  2. In the Options window, look in the Secured Menu Items box. Select Don't display or Display as disabled.
  3. Click [OK].

Notes:

  • The Tools > Options menu is subject to task security. You may not be able to see this menu item if the application administrator has selected Don't display in the Secured Menu Items box.
  • Application administrators need to specify this setting in only one application for the effect to be seen in all applications.
Related topics

Learn about task security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Record Security window

Use this window to specify whether record security can affect records on this inquiry.

You must be an application administrator to modify these settings.

Note: For record security to affect the inquiry, it must be on and the settings in this window must allow it to affect the inquiry.

Items in this window

Securable record

Select to allow record security to affect the inquiry. If the check box is unavailable, record security is not on for the record.

Related topics

Learn about record security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Change Password window

Use this window to change your current password for Sage 300 Construction and Real Estate.

Type your user name, old password, and a new password. Then, verify the new password by typing it again. Each password character appears as an asterisk for additional security.

Strong passwords help prevent unauthorized personnel from accessing the software. A strong password must contain at least eight characters and at least three of the following four character groups:

  • English uppercase characters (A through Z)
  • English lowercase characters (a through z)
  • Numbers (0 through 9)
  • Special characters (~ ` ! @ # $ % ^ & * ( ) - + = { } [ ] | \ : ; < , > . ? /)

Your security administrator may have additional or fewer password requirements.

In addition, your security settings may prevent you from changing your password. If you cannot change your password, contact your security administrator.

Related topics

How do I change my password?

I forgot my password

Learn about users and administrators

Learn about security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Record Security window

Use this window to turn on record security and to assign security IDs to records.

Note: You must be an application administrator to perform these tasks.

What do you want to do?

  • Set up record security
  • Modify record security permissions
  • Turn off record security

Items in this window

[Ranges]

Opens a Range Selection window to specify a range of records and possibly subrecords to access during processing. [Ranges] appears with asterisks if you have specified ranges.

[Conditions]

Opens the Add Condition window if you have not specified conditions, or opens the Condition Selection window if you have already specified conditions. [Conditions] appears with asterisks if you have specified conditions.

Activate record security

Select to turn on record security. You must turn on record security before you select other options in this window.

Give all users access to records with blank security IDs

Determines how the security system treats records with blank security IDs.

  • Select to give all users access to records with blank security IDs.
  • Clear to give only application administrators access to records with blank security IDs.

Securable record types

Select records to secure. Records are available only if Activate record security has been selected.

Securable record

Select the record to secure it. You must select Activate record security before you can select a record.

Securable record column

Lists securable records that have been created.

Securable record description

Lists descriptions of securable records.

Security ID

Lists security IDs of securable records.

Related topics

Learn about record security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Print Selection window

Use this window to specify print options before printing a file, audit report, report, journal, or design. The Printer Information area displays the current printer and page setup information. Other options in this window vary based on what you are printing. For example, you may be required to enter prompt fields for a report.

Items in this window

Report Type

Select a security report type. The reports display user, role, and task permission information in a variety of ways.

[Start]

Begins processing, which includes printing according to your print selections.

[Send]

Use to send a document and any attachments to a printer, fax, or e-mail address.

[Print Preview]

Opens the Print Preview window to view the pages before printing.

[Printer Setup]

Opens the Printer Setup window to modify printer options before printing. [Printer Setup] appears with asterisks if printer options have been changed.

[Page Setup]

Opens the Page Setup window to modify page options before printing. [Page Setup] appears with asterisks if page options have been changed.

[Ranges]

Opens the Task Range Selection window to specify which tasks to include in the security report. [Ranges] appears with asterisks if you have specified a range.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Range Selection window

Use this window to specify ranges of records and sub-records that are subject to processing. The displayed information varies by the task you are performing. Highlighted items are included in the range, and non-highlighted items are excluded. If necessary, you can specify several ranges.

Items in this window

[Start range]

Begins the range on the current item.

[Include all]

Selects all items in the list.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security help version

Version 12.1

Updated October 11, 2012

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Assign security IDs to records

From the Record Security window

From a record setup window

To assign a security ID in the Record Security window

This is the quickest way to assign security IDs to existing records. You must be an application administrator to perform this task.

  1. From the Sage Desktop, select Tools > Security Administration.
  2. On Security Administration tab, select Records. The Record Security window opens.
  3. Select the tab for the record to which you want to assign security IDs.
  4. In the Security ID column, type the ID of either an user or role. You can type only a single ID.
  5. Click [OK].

Note: Record tabs in the Record Security window are accessible only if you have turned on record security for that record on the Activation tab.

To assign a security ID in a record setup window

Use this method to assign a security ID when you set up a record (for example, when you set up bank accounts in Cash Management).

In a record setup window, click in the Security ID field and type the ID of either a user or role.

Notes:

  • For the Security ID field to appear in a record setup window, record security must be on for that record.
  • Anyone can assign a security ID during the initial setup of a record. To change the security ID after the record has been created, you must be an application administrator or have permission to use the Change Security ID task. For information about setting task security permissions, contact your application administrator.
Related topics

Overview of record security

Effect of record security on reports

Effect of record security on inquiries

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Learn about blank security IDs on a record

If the Security ID field is blank in a record setup window or the Record Security window, Security Administration uses the Give all users access to records with blank security IDs check box to determine who can access the record.

Application administrators can:

  • Select the check box to give all users access to the record.
  • Clear the check box to give only application administrators access to the record. This is the default setting.

If the check box is selected and the Security ID field is blank, users can assign security IDs in a record setup window.

If the check box is cleared, users cannot assign security IDs.

Only application administrators can assign security IDs in the Record Security window.

Related topics

Overview of record security

Set up record security

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


User

A user has restricted access to Sage 300 Construction and Real Estate. A user can have security permissions that range from very restrictive to almost as complete as an application administrator.

All users must have a user name and password. If Security Administration is on, you must type a user name and password immediately after you start an application.

Refer to the Security Administration Help for instructions about creating user accounts.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Open Database Connectivity (ODBC)

Open Database Connectivity (ODBC) allows a Sage 300 Construction and Real Estate database and a third party program such as Microsoft Access to communicate. Once you set up an ODBC connection (which requires a special ODBC driver), you can send data between the two programs.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Record Security window

The Record Security window has tabs that list all securable records. This window is a good place to quickly assign security IDs to existing records.

An application administrator can access this window from Security Administration.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Record Setup window

The menu paths to record setup windows that have a security ID field are:

  • Cash Management > Setup > Bank
  • General Ledger > Setup > Prefix/Base > Company
  • Job Cost > Setup > Job
  • Project Management > Setup > Job
  • Property Management > Setup > Property

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security Administration

With Security Administration, application administrators can restrict access to tasks, files, records, and companies. For example, they can use task security to restrict who can set up vendors in Accounts Payable. With file security, they can restrict access to sensitive payroll files. With record security, they can produce reports that display only the jobs to which the user has security access. Finally, with company security, they can restrict access to which company information a user sees.

Over a dozen Sage 300 Construction and Real Estate applications feature security. Some applications, such as Estimating, Inventory, Purchasing, and Service Management, offer a limited form of Security Administration or are affected by Security Administration.

For more information about Security Administration, see Learn about Security Administration.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security administrator

Security administrators set up and maintain accounts for users.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security IDs

Security IDs are used in record security. A security ID can be either a user or role.

When you run a report, inquiry, or task that uses record security, the application compares the security ID on the record with your user name. If the security ID matches your user name or a role to which you are assigned, the software allows you to access the record.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Security requirements for using ODBC

If security is on, you must satisfy two requirements before you can access a data folder using Open Database Connectivity (ODBC):

  • You must provide a valid user name and password.
  • You must have the appropriate file security permissions. For example, if you want to use ODBC to export a list of all Accounts Payable vendors, you must have access to the Accounts Payable master file.

For more information about your file security settings, contact your application administrator.

Related topics

Learn about file security

List of securable files

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Strong passwords

To prevent unauthorized users from accessing your software, we recommend that you use strong passwords.

Strong passwords must meet the following conditions for complexity:

  1. Passwords must be at least eight characters long.
  2. Passwords must contain at least three of the following four character groups:
    • English uppercase characters (A through Z)
    • English lowercase characters (a through z)
    • Numbers (0 through 9)
    • Special characters (~ ` ! @ # $ % ^ & * ( ) - + = { } [ ] | \ : ; < , > . ? /)
  3. Passwords expire every 90 days.
  4. You are warned 10 days before your password expires.
  5. You cannot reuse your three previous passwords.
  6. You must wait 10 days before changing your password.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.


Application administrator

An application administrator has unrestricted access to all features in Sage 300 Construction and Real Estate. They can set up task security and set up most aspects of record security in the Security Administration tool.

Like other users, an application administrator has a user name and password. If security is on, application administrators must type this user name and password after they start an application.

Only security administrators can create users.

Help us improve our user assistance.

Was this topic helpful to you?

Sending...
Your comments have been sent. Thank you!
Comment not sent -- Please check your internet connection and try again.
A server error has occurred -- Please try again later.